---
features:
  secondary:
  - name: "Delete an agent from the UI"
    available_in: [core, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/clusters/agent/#remove-an-agent'
    reporter: nagyv-gitlab
    stage: configure
    categories:
    - Kubernetes Management
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/323055'
    description: |
      The [GitLab Agent for Kubernetes](https://docs.gitlab.com/ee/user/clusters/agent/)
      is tested and adopted by hundreds of GitLab customers each month, a few users
      noticed that it is not straightforward to remove a registered Agent from GitLab.
      Until now, the agent could be removed only through the GraphQL API.
      Introduced in GitLab 14.7, you can delete an agent directly from the GitLab UI.
      
      When you delete the agent, GitLab revokes its tokens and the
      given connection stops working immediately.
